POST Add a Note and Document to a Merchant Application

Summary


Adds a note and uploads one document (optional) to a merchant application.


POST https://merchantapp.io/{cobrandslug}/api/v2/merchantapplications/{application-id-here}/note

This endpoint allows you to add a note to a merchant application and optionally attach the note to an underwriting service. You may also upload one document with the note . If you need to upload multiple documents, you will need to call this endpoint for each document and add a note to each.

The document must be encoded as HTML to pass within the request. The following file types are accepted: CSV, DOCX, GIF, HTML, JPEG, JSON, PDF, PNG, TSV, TXT, XML, and ZIP. The maximum accepted file size is 20 MB.


Headers

HeaderRequired/OptionalTypeDescription
X-AuthenticationKeyIdRequiredStringThe API key id used to authenticate your request to Infinicept. API keys are managed within your New Accounts cobrand.
X-AuthenticationKeyValueRequiredStringThe API key value used to authenticate your request to Infinicept. API keys are managed within your New Accounts cobrand.

Path Parameters

ParameterRequired/OptionalTypeDescription
cobrandSlugRequiredStringThe unique cobrand identifier assigned by Infinicept. This value is available on the Settings page within your cobrand in the Account Settings > Url Slug field.
merchantApplicationIdRequiredStringThe application's numeric identifier in New Accounts (e.g. 12345) or the InfiniceptMerchantId GUID used across New Accounts and Backoffice.

Request Body

Example

{
  "attachedDocumentBase64" : "[...]",
  "attachedDocumentName" : "example.txt",
  "noteContent": "Hello, this is an example note",
  "underwritingServiceID": 1234,
  "userEmailAddress": "[email protected]"
}

The following table describes the properties accepted in the request.

PropertiesRequired/OptionalTypeDescription
attachedDocumentBase64OptionalStringA base64 encoded document. The following file types are accepted: CSV, DOCX, GIF, HTML, JPEG, JSON, PDF, PNG, TSV, TXT, XML, and ZIP. The maximum accepted file size is 20 MB.
attachedDocumentNameRequired when attaching a documentStringThe title of the document.
noteContentRequiredStringThe text body of the note. We recommend a limit of 1000 characters.
underwritingServiceIDOptionalIntegerThe underwriting service identifier within your cobrand. Review Configured Underwriting Services may be used to retrieve this ID.
userEmailAddressOptionalStringA user's email address that has access at the cobrand- or client-level.

Response

Example

{
    "MerchantApplicationId": 15205,
    "CobrandId": 1955,
    "UserKey": 10461
}

The following table describes each property provided in the response.

PropertyTypeDescription
MerchantApplicationIdIntegerThe application's numeric identifier in New Accounts (e.g. 12345) or the InfiniceptMerchantId GUID used across New Accounts and Backoffice.
CobrandIdIntegerThe cobrand identifier assigned by Infinicept.
UserKeyIntegerThe user identifier assigned by Infinicept.


Response Codes

The following table describes responses available from the endpoint.

CodeDescriptionMessage
202AcceptedA successful response returns the MerchantApplicationId, CobrandId, and UserKey.
400Bad RequestEnsure the values within your request meet the requirements outlined above. Review the error message for specific instructions.


View Your Note in the New Accounts UI

Once uploaded, New Accounts cobrand users can view the note on the Underwriting Dashboard > Notes tab. For notes with documents attached, see these on the Documents tab. See the examples below.

Notes tab


Documents tab